Product comparison · 2 network switches

LevelOne GSW-2690 network switch Managed 1U Black vs NETGEAR GS108T Managed

Add a product
  • 16specifications compared
  • 5differ
  • 11identical
  • 20known for one product only

Key differences

  • MIB support
    • GSW-2690 network switch Managed 1U Black:RFC 1493, RFC 1757
    • GS108T Managed:RFC 1213, RFC 1643, RFC 1493
  • Basic switching RJ-45 Ethernet ports quantity
    • GSW-2690 network switch Managed 1U Black:24
    • GS108T Managed:8
  • Dimensions (WxDxH)
    • GSW-2690 network switch Managed 1U Black:442 x 209 x 44 mm
    • GS108T Managed:235.5 x 100.8 x 25.9 mm
  • Operating relative humidity (H-H)
    • GSW-2690 network switch Managed 1U Black:5 - 90%
    • GS108T Managed:0 - 90%

Side by side

Differences highlightedShow differences only (off)
Comparison of GSW-2690, GS108T
36 specifications
B

NETGEAR

GS108T Managed

Model GS108T

View product
Management features1 differ
Switch typeManagedManaged
Quality of Service (QoS) supportYesYes
Web-based managementYesYes
System event logKnown for oneUnknown — not stated by the sourceYes
MIB supportDiffersRFC 1493, RFC 1757RFC 1213, RFC 1643, RFC 1493
Ports & interfaces1 differ
Basic switching RJ-45 Ethernet ports quantityDiffers248
Gigabit Ethernet (copper) ports quantityKnown for one2Unknown — not stated by the source
Combo SFP ports quantityKnown for one2Unknown — not stated by the source
SFP/SFP+ slots quantityKnown for one2Unknown — not stated by the source
Networkidentical
Copper ethernet cabling technologyKnown for oneUnknown — not stated by the source100BASE-TX
Full duplexYesYes
Flow control supportYesYes
Data transmissionidentical
MAC address table8000 entries8000 entries
Supported data transfer ratesKnown for oneUnknown — not stated by the source10/100/1000 Mbps
Store-and-forwardYesYes
Maximum data transfer rate1 Gbit/s1 Gbit/s
Packet buffer memoryKnown for oneUnknown — not stated by the source0.125 MB
Securityidentical
DHCP featuresKnown for oneUnknown — not stated by the sourceDHCP client
MAC address filteringYesYes
Performanceidentical
Noise levelKnown for oneUnknown — not stated by the source0 dB
Mean time between failures (MTBF)Known for oneUnknown — not stated by the source108016 h
Power over Ethernet (PoE)identical
Power over Ethernet (PoE)NoNo
Other features1 differ
Dimensions (WxDxH)Differs442 x 209 x 44 mm235.5 x 100.8 x 25.9 mm
Connectivity technologyKnown for oneUnknown — not stated by the sourceWired
BandwidthKnown for oneUnknown — not stated by the source16 Gbit/s
Power requirementsKnown for one100 - 240 VAC, 50/60HzUnknown — not stated by the source
Operational conditions1 differ
Operating temperature (T-T)0 - 50 °C0 - 50 °C
Storage temperature (T-T)Known for oneUnknown — not stated by the source-20 - 70 °C
Operating relative humidity (H-H)Differs5 - 90%0 - 90%
Storage relative humidity (H-H)Known for oneUnknown — not stated by the source0 - 95%
Weight & dimensionsidentical
WeightKnown for oneUnknown — not stated by the source690 g
Certificates1 differ
CertificationDiffersFCC Class A, CE- CE mark, commercial - FCC Part 15 Class A - VCCI Class A - C-Tick
Multicast featuresidentical
Multicast supportKnown for oneYesUnknown — not stated by the source
Designidentical
Form factorKnown for one1UUnknown — not stated by the source
Product colourKnown for oneBlackUnknown — not stated by the source
Poweridentical
Power consumption (typical)Known for one15 WUnknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons